Uses of Class
ubic.gemma.rest.util.FilteredAndPaginatedResponseDataObject
Packages that use FilteredAndPaginatedResponseDataObject
-
Uses of FilteredAndPaginatedResponseDataObject in ubic.gemma.rest
Subclasses of FilteredAndPaginatedResponseDataObject in ubic.gemma.restModifier and TypeClassDescriptionstatic classstatic classstatic classstatic classstatic classLegacy shape forDatasetsWebService.getDatasetsExpressionLevelsForGene(GeneArg, QueryArg, FilterArg, OffsetArg, LimitArg, Boolean, ExpLevelConsolidationArg, CursorArg, Boolean)/DatasetsWebService.getDatasetsExpressionLevelsForGeneInTaxon(TaxonArg, GeneArg, QueryArg, FilterArg, OffsetArg, LimitArg, Boolean, ExpLevelConsolidationArg, CursorArg, Boolean). -
Uses of FilteredAndPaginatedResponseDataObject in ubic.gemma.rest.util
Subclasses of FilteredAndPaginatedResponseDataObject in ubic.gemma.rest.utilModifier and TypeClassDescriptionstatic classLegacy shape forGET /platforms,GET /platforms/{platform}andGET /platforms/blacklisted.static classLegacy shape forGET /platforms/{platform}/elementsandGET /platforms/{platform}/elements/{probes}.static classLegacy shape forGET /resultSets.static classLegacy shape forGET /taxa/{taxon}/datasets.static classLegacy shape forGET /platforms/{platform}/elements/{probe}/genes.classMethods in ubic.gemma.rest.util that return FilteredAndPaginatedResponseDataObjectModifier and TypeMethodDescriptionstatic <T> FilteredAndPaginatedResponseDataObject<T> Paginate results with a filter.static <T> FilteredAndPaginatedResponseDataObject<T> Responders.paginate(Responders.FilterMethod<T> filterMethod, Filters filters, String[] groupBy, Sort sort, int offset, int limit) Paginate results with a filter using a callback to produce the payload.